Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/cancel_all_by_currency \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 5663,
  "method": "private/cancel_all_by_currency",
  "params": {
    "currency": "BTC",
    "kind": "option"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/cancel_all_by_currency"

payload = {
    "jsonrpc": "2.0",
    "id": 5663,
    "method": "private/cancel_all_by_currency",
    "params": {
        "currency": "BTC",
        "kind": "option"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 5663,
    method: 'private/cancel_all_by_currency',
    params: {currency: 'BTC', kind: 'option'}
  })
};

fetch('https://test.deribit.com/api/v2/private/cancel_all_by_currency', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 47,
  "result": 4
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
kind
enum<string>

Instrument kind, "combo" for any combo or "any" for all. If not provided instruments of all kinds are considered Instrument kind: "future", "option", "spot", "future_combo", "option_combo", "combo" for any combo or "any" for all

Available options:
future,
option,
spot,
future_combo,
option_combo,
combo,
any
type
enum<string>

Order type - limit, stop, take, trigger_all or all, default - all Order type: "all", "limit", "stop", "take", "trailing_stop", "trailing_take"

Available options:
all,
limit,
trigger_all,
stop,
take,
trailing_stop
detailed
boolean

When detailed is set to true, the output format is changed to include a list of all cancelled orders.

📖 Related Article: Detailed Response for Cancel Methods

Default: false

freeze_quotes
boolean

Whether or not to reject incoming quotes for 1 second after cancelling (false by default). Related to private/mass_quote request.

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
number
required

Total number of successfully cancelled orders

Example:

7

id
integer

The id that was sent in the request